Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
TF_SignatureSchemeBase< INTERFACE, BASE > Class Template Reference

_ More...

`#include <pubkey.h>`

Inheritance diagram for TF_SignatureSchemeBase< INTERFACE, BASE >:

List of all members.

## Public Member Functions

size_t | SignatureLength () const
size_t | MaxRecoverableLength () const
size_t | MaxRecoverableLengthFromSignatureLength (size_t signatureLength) const
bool | IsProbabilistic () const
bool | AllowNonrecoverablePart () const
bool | RecoverablePartFirst () const

## Protected Member Functions

size_t | MessageRepresentativeLength () const
size_t | MessageRepresentativeBitLength () const
virtual HashIdentifier | GetHashIdentifier () const =0
virtual size_t | GetDigestSize () const =0

## Detailed Description

### template<class INTERFACE, class BASE>
class TF_SignatureSchemeBase< INTERFACE, BASE >

_

Definition at line 310 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h